CREATE TABLE fnd_edp_prot_fields_b_ (
    PROT_FIELD_ID             NUMBER(18, 0) ,
    MODULE_ID                 VARCHAR2(128) ,
    PROTECTION_KEY            VARCHAR2(512) ,
    TOKENIZATION_SCHEME       VARCHAR2(80)  ,
    PROTECTION_COLUMN_NAME    VARCHAR2(128) ,
    PROTECTION_STATE          VARCHAR2(80)  ,
    FIELD_SIZE                NUMBER(9, 0)  ,
    CREATED_BY                VARCHAR2(256) ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    PROT_FIELD_ID             NUMBER(18, 0) ,
    MODULE_ID                 VARCHAR2(128) ,
    PROTECTION_KEY            VARCHAR2(512) ,
    TOKENIZATION_SCHEME       VARCHAR2(80)  ,
    PROTECTION_COLUMN_NAME    VARCHAR2(128) ,
    PROTECTION_STATE          VARCHAR2(80)  ,
    FIELD_SIZE                NUMBER(9, 0)  ,
    CREATED_BY                VARCHAR2(256) ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    CONSTRAINT pk_fnd_edp_prot_fields_b_ PRIMARY KEY (PROT_FIELD_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, PROT_FIELD_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
